%if 0%{?rhel} && 0%{?rhel} <= 7
%global buildsys cmake
%global buildsys_req cmake >= 2.8.5
%else
%global buildsys meson
%global buildsys_req meson >= 0.36.0
%endif

Name:           microdnf
Version:        2
Release:        2%{?dist}.1.1
Summary:        Micro DNF

License:        GPLv3+ and LGPLv2+
URL:            https://github.com/rpm-software-management/microdnf
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://download.gnome.org/sources/libpeas/1.20/libpeas-1.20.0.tar.xz
Patch0001:      0001-use-bundled-libpeas-in-case-proper-one-not-found.patch
Patch0002:      0002-print-downloading-packages-only-once.patch

BuildRequires:  gcc
BuildRequires:  %{buildsys_req}
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libdnf) >= 0.7.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.38.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.39.0
BuildRequires:  intltool
Provides:       bundled(libpeas) = 1.20.0

%description
%{summary}.

%prep
%autosetup -p1 -a1
sed -i -e "s|URL https://download.gnome.org/sources/libpeas/1.20/libpeas-1.20.0.tar.xz|SOURCE_DIR \${CMAKE_CURRENT_LIST_DIR}/libpeas-1.20.0|" CMakeLists.txt

%if %{buildsys} == "cmake"
%build
mkdir %{_target_platform}
pushd %{_target_platform}
  %cmake .. -DCMAKE_BUILD_TYPE=RelWithDebInfo
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}
%endif

%if %{buildsys} == "meson"
%build
%meson
%meson_build

%install
%meson_install
%endif

%files
%license COPYING libpeas-1.20.0/COPYING
%doc README.md
%{_bindir}/%{name}

%changelog
* Mon Feb 20 2017 Jan Silhan <jsilhan@redhat.com> - 2-2
- print downloading packages only once 

* Mon Dec 12 2016 Jan Silhan <jsilhan@redhat.com> - 2-1
- Update to 2

* Mon Dec 12 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1-1
- Initial package
